Package org.springframework.context.expression

# Class BeanFactoryResolver

java.lang.Object
org.springframework.context.expression.BeanFactoryResolver

All Implemented Interfaces:
  `org.springframework.expression.BeanResolver`

public class BeanFactoryResolver extends Object implements org.springframework.expression.BeanResolver
SpEL `BeanResolver` that operates against a Spring `BeanFactory`.

Since:
  3.0.4
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`BeanFactoryResolver(org.springframework.beans.factory.BeanFactory beanFactory)`
Create a new `BeanFactoryResolver` for the given factory.

## Method Summary

Modifier and Type
Method
Description
`Object`
`resolve(org.springframework.expression.EvaluationContext context, String beanName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanFactoryResolver

public BeanFactoryResolver(org.springframework.beans.factory.BeanFactory beanFactory)
Create a new `BeanFactoryResolver` for the given factory.

Parameters:
  `beanFactory` - the `BeanFactory` to resolve bean names against

## Method Details

### resolve

public Object resolve(org.springframework.expression.EvaluationContext context, String beanName) throws org.springframework.expression.AccessException

Specified by:
  `resolve` in interface `org.springframework.expression.BeanResolver`
Throws:
  `org.springframework.expression.AccessException`